
Redmine - Defect #24595

Unarchive link for a subproject of a closed project does not work

2016-12-13 10:50 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 3.3.2   

Resolution: Fixed Affected version:  

Description

When the parent project of an archived project is closed the "unarchive" link is shown 

source:/branches/3.3-stable/app/views/admin/projects.html.erb@16048#L35, it won't work though as the parent project is not open 

source:/branches/3.3-stable/app/models/project.rb@16048#L377

Associated revisions

Revision 16071 - 2016-12-13 21:01 - Jean-Philippe Lang

Unarchive link not working for subprojects of closed projects (#24595).

Revision 16099 - 2016-12-20 10:05 - Jean-Philippe Lang

Merged r16071 (#24595).

Revision 16100 - 2016-12-20 10:05 - Jean-Philippe Lang

Merged r16071 (#24595).

History

#1 - 2016-12-13 21:04 - Jean-Philippe Lang

- Subject changed from Unarchive link shown in Admin project list even if the project is not unarchivable to Unarchive link for a subproject of a closed

project does not work

- Category set to Projects

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.2

- Resolution set to Fixed

This is fixed in r16071 but I did not remove the link in this case. We are able to archive a child of a closed project, so we should be able to unarchive

it. As the parent is closed, it is restored as closed.

Thanks for pointing this out.

#2 - 2016-12-13 21:06 - Felix Schäfer

That works too, thanks a lot!

#3 - 2016-12-20 10:05 - Jean-Philippe Lang

- Status changed from Resolved to Closed
